National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2007-6200 Detail

Description

Unspecified vulnerability in rsync before 3.0.0pre6, when running a writable rsync daemon, allows remote attackers to bypass exclude, exclude_from, and filter and read or write hidden files via (1) symlink, (2) partial-dir, (3) backup-dir, and unspecified (4) dest options.

Source:  MITRE      Last Modified:  12/01/2007

Quick Info

CVE Dictionary Entry:
CVE-2007-6200
Original release date:
12/01/2007
Last revised:
08/23/2011
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
10.0 HIGH
Vector:
(AV:N/AC:L/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
10.0
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Low
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

Vendor Statements (disclaimer)

Official Statement from Red Hat (12/06/2007)

Red Hat is aware of this issue and is tracking it via the following bug: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=CVE-2007-6200 The Red Hat Security Response Team has rated this issue as having low security impact, a future update may address this flaw.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://lists.apple.com/archives/security-announce//2008/Jul/msg00003.html External Source APPLE APPLE-SA-2008-07-31
http://lists.opensuse.org/opensuse-security-announce/2008-01/msg00002.html External Source SUSE SUSE-SR:2008:001
http://rsync.samba.org/security.html#s3_0_0 Vendor Advisory External Source CONFIRM http://rsync.samba.org/security.html#s3_0_0
http://securitytracker.com/id?1019012 External Source SECTRACK 1019012
http://wiki.rpath.com/wiki/Advisories:rPSA-2007-0257 External Source CONFIRM http://wiki.rpath.com/wiki/Advisories:rPSA-2007-0257
http://www.mandriva.com/en/security/advisories?name=MDVSA-2008:011 External Source MANDRIVA MDVSA-2008:011
http://www.redhat.com/support/errata/RHSA-2011-0999.html External Source REDHAT RHSA-2011:0999
http://www.securityfocus.com/archive/1/archive/1/487991/100/0/threaded External Source BUGTRAQ 20080212 FLEA-2008-0004-1 rsync
http://www.securityfocus.com/bid/26639 External Source BID 26639
http://www.vupen.com/english/advisories/2007/4057 External Source VUPEN ADV-2007-4057
http://www.vupen.com/english/advisories/2008/2268 External Source VUPEN ADV-2008-2268

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:o:slackware:slackware_linux:8.1:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:9.0:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:9.1:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:10.0:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:10.1:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:10.2:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:11.0:*:*:*:*:*:*:*
cpe:2.3:o:slackware:slackware_linux:12.0:*:*:*:*:*:*:*
OR
cpe:2.3:a:rsync:rsync:2.3.1:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2alpha:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2arm:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2intel:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2m68k:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2ppc:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.2sparc:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.3.2_1.3:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.0:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.1:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.3:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.4:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.5:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.6:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.4.8:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.0:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.1:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.2:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.3:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.4:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.5:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.6:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.5.7:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.1:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.2:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.5:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.6:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.7:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.8:*:*:*:*:*:*:*
cpe:2.3:a:rsync:rsync:2.6.9:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes